#!/usr/bin/perl -w
#
# File:   netstat.pl
# Object: netstat performances data extractor.
# Release: 0.1b1 - Sun Oct 20 13:15:04 CEST 2002
# 
# Copyright (C) 2002 "Freddy Frouin" <freddy.frouin@fluxus.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
################################################################################

&usage unless ($#ARGV == 0);

my $data = $ARGV[0];

my ($dev,@dum);

if ($data =~ /^(\S+)\s+\d+\s+([\d\s]+)/) {
  $dev=$1;
  @dum=split(/\s+/,$2);
  print "RX-OK=$dum[1]\n";
  print "RX-ERR=$dum[2]\n";
  print "RX-DRP=$dum[3]\n";
  print "RX-OVR=$dum[4]\n";
  print "TX-OK=$dum[5]\n";
  print "TX-ERR=$dum[6]\n";
  print "TX-DRP=$dum[7]\n";
  print "TX-OVR=$dum[8]\n";
}

sub usage {
  print "Usage: $0 \"eth0   1500   0    54094      0      0      0    42597      0      0      0 BRU\"\n";
  exit 1;
}
