#!/usr/bin/perl -w
#
# File:   df.pl
# Object: df performances data extractor.
# Release: 0.1b1 - Sun Oct 20 13:15:04 CEST 2002
# 
# Copyright (C) 2002 "Freddy Frouin" <freddy.frouin@fluxus.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
################################################################################

&usage unless ($#ARGV == 0);

my $data = $ARGV[0];

my ($type,@dum);
if ($data =~ /^(Block|Inode):(.+)$/) {
  $type=$1;
  @dum=split(/\s+/,$2);
  $dum[0]=~s/\///g;
  if ($type eq "Block") {
    print "bk=$dum[1]\n";
    print "bkUsed=$dum[2]\n";
    print "bkAvail=$dum[3]\n";
  } elsif ($type eq "Inode") {
    print "in=$dum[1]\n";
    print "inUsed=$dum[2]\n";
    print "inFree=$dum[3]\n";
  }
} else {
}


sub usage {
  print "Usage: $0 \"{Block|Inode}:/dev/hda1               521748    159236    336008  33\% /\"\n";
  exit 1;
}
